Subject: [Netconf] [Technical Errata Reported] RFC6243 (4688)

From: RFC Errata System <[email-masked]>
Date: Sun, 8 May 2016 12:24:22 -0700 (PDT)

The following errata report has been submitted for RFC6243,
"With-defaults Capability for NETCONF".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6243&eid=4688

--------------------------------------
Type: Technical
Reported by: Muly Ilan <[email-masked]>

Section: 4.5.2

Original Text
-------------
   If the operation attribute contains the value 'create', and the data
   node already exists in the target configuration datastore, then the
   server MUST return an <rpc-error> response with an 'invalid-value'
   error-tag.

Corrected Text
--------------
   If the operation attribute contains the value 'create', and the data
   node already exists in the target configuration datastore, then the
   server MUST return an <rpc-error> response with an 'data-exists'
   error-tag.

Notes
-----
According to RFC6241 section 7.2 the behavior for the 'create' operation is: " If the configuration data exists, an <rpc-error> element is returned with an <error-tag> value of "data-exists". "

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6243 (draft-ietf-netconf-with-defaults-14)
--------------------------------------
Title               : With-defaults Capability for NETCONF
Publication Date    : June 2011
Author(s)           : A. Bierman, B. Lengyel
Category            : PROPOSED STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG